# NOTE: this should not be overwritten by pyuic command.
# NOTE: when compiling the ui, just replace the code manually
# Ideally, in the future, there should be a better way to do this
# e.g. read the ui files directly instead of creating this py file.
# I did this so that I can have autocomplete and type hints in my IDE.


from qgis.PyQt import (
    QtCore,
    QtWidgets,
    QtGui
)
from qgis import gui
from qgis.gui import (
    QgsMapLayerComboBox,
    QgsFieldComboBox,
)
from qgis.core import (
    QgsMapLayerProxyModel
)

from ..resources import *


class UIDialog:
    def setupUi(self, EurostatDialogBase):
        EurostatDialogBase.setObjectName("EurostatDialogBase")
        EurostatDialogBase.resize(1081, 733)
        self.gridLayout = QtWidgets.QGridLayout(EurostatDialogBase)
        self.gridLayout.setObjectName("gridLayout")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.verticalLayout = QtWidgets.QVBoxLayout()
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.lineSearch = QtWidgets.QLineEdit(EurostatDialogBase)
        self.lineSearch.setObjectName("lineSearch")
        self.horizontalLayout.addWidget(self.lineSearch)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.listDatabase = QtWidgets.QListWidget(EurostatDialogBase)
        self.listDatabase.setObjectName("listDatabase")
        self.verticalLayout.addWidget(self.listDatabase)
        self.frameMainWindowJoinData = QtWidgets.QFrame(EurostatDialogBase)
        self.frameMainWindowJoinData.setMinimumSize(QtCore.QSize(330, 350))
        self.frameMainWindowJoinData.setMaximumSize(QtCore.QSize(16777215, 350))
        self.frameMainWindowJoinData.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.frameMainWindowJoinData.setFrameShadow(QtWidgets.QFrame.Raised)
        self.frameMainWindowJoinData.setObjectName("frameMainWindowJoinData")
        self.verticalLayout_7 = QtWidgets.QVBoxLayout(self.frameMainWindowJoinData)
        self.verticalLayout_7.setObjectName("verticalLayout_7")
        self.pushButtonInitializeTOC = QtWidgets.QPushButton(self.frameMainWindowJoinData)
        self.pushButtonInitializeTOC.setObjectName("pushButtonInitializeTOC")
        self.verticalLayout_7.addWidget(self.pushButtonInitializeTOC)
        self.buttonReset = QtWidgets.QPushButton(self.frameMainWindowJoinData)
        self.buttonReset.setObjectName("buttonReset")
        self.verticalLayout_7.addWidget(self.buttonReset)
        self.verticalLayout_3 = QtWidgets.QVBoxLayout()
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.label = QtWidgets.QLabel(self.frameMainWindowJoinData)
        self.label.setObjectName("label")
        self.verticalLayout_3.addWidget(self.label)
        self.qgsComboLayer = gui.QgsMapLayerComboBox(self.frameMainWindowJoinData)
        self.qgsComboLayer.setAllowEmptyLayer(True)
        self.qgsComboLayer.setShowCrs(True)
        self.qgsComboLayer.setObjectName("qgsComboLayer")
        self.verticalLayout_3.addWidget(self.qgsComboLayer)
        self.verticalLayout_7.addLayout(self.verticalLayout_3)
        self.verticalLayout_5 = QtWidgets.QVBoxLayout()
        self.verticalLayout_5.setSpacing(0)
        self.verticalLayout_5.setObjectName("verticalLayout_5")
        self.label_2 = QtWidgets.QLabel(self.frameMainWindowJoinData)
        self.label_2.setObjectName("label_2")
        self.verticalLayout_5.addWidget(self.label_2)
        self.qgsComboLayerJoinField = gui.QgsFieldComboBox(self.frameMainWindowJoinData)
        self.qgsComboLayerJoinField.setObjectName("qgsComboLayerJoinField")
        self.verticalLayout_5.addWidget(self.qgsComboLayerJoinField)
        self.verticalLayout_7.addLayout(self.verticalLayout_5)
        self.verticalLayout_6 = QtWidgets.QVBoxLayout()
        self.verticalLayout_6.setSpacing(0)
        self.verticalLayout_6.setObjectName("verticalLayout_6")
        self.label_3 = QtWidgets.QLabel(self.frameMainWindowJoinData)
        self.label_3.setObjectName("label_3")
        self.verticalLayout_6.addWidget(self.label_3)
        self.comboTableJoinField = QtWidgets.QComboBox(self.frameMainWindowJoinData)
        self.comboTableJoinField.setObjectName("comboTableJoinField")
        self.verticalLayout_6.addWidget(self.comboTableJoinField)
        self.verticalLayout_7.addLayout(self.verticalLayout_6)
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout()
        self.verticalLayout_2.setSpacing(0)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.labelEnterPrefix = QtWidgets.QLabel(self.frameMainWindowJoinData)
        self.labelEnterPrefix.setObjectName("labelEnterPrefix")
        self.verticalLayout_2.addWidget(self.labelEnterPrefix)
        self.linePrefix = QtWidgets.QLineEdit(self.frameMainWindowJoinData)
        self.linePrefix.setObjectName("linePrefix")
        self.verticalLayout_2.addWidget(self.linePrefix)
        self.horizontalLayout_3.addLayout(self.verticalLayout_2)
        self.verticalLayoutColumnsToJoin = QtWidgets.QVBoxLayout()
        self.verticalLayoutColumnsToJoin.setObjectName("verticalLayoutColumnsToJoin")
        self.label_7 = QtWidgets.QLabel(self.frameMainWindowJoinData)
        self.label_7.setObjectName("label_7")
        self.verticalLayoutColumnsToJoin.addWidget(self.label_7)
        self.comboBoxColumnsToJoin = QtWidgets.QComboBox(self.frameMainWindowJoinData)
        self.comboBoxColumnsToJoin.setObjectName("comboBoxColumnsToJoin")
        self.verticalLayoutColumnsToJoin.addWidget(self.comboBoxColumnsToJoin)
        self.horizontalLayout_3.addLayout(self.verticalLayoutColumnsToJoin)
        self.verticalLayout_7.addLayout(self.horizontalLayout_3)
        self.buttonJoin = QtWidgets.QPushButton(self.frameMainWindowJoinData)
        self.buttonJoin.setMinimumSize(QtCore.QSize(50, 25))
        self.buttonJoin.setObjectName("buttonJoin")
        self.verticalLayout_7.addWidget(self.buttonJoin)
        self.buttonAdd = QtWidgets.QPushButton(self.frameMainWindowJoinData)
        self.buttonAdd.setObjectName("buttonAdd")
        self.verticalLayout_7.addWidget(self.buttonAdd)
        self.verticalLayout.addWidget(self.frameMainWindowJoinData)
        self.horizontalLayout_2.addLayout(self.verticalLayout)
        self.tableDataset = QtWidgets.QTableView(EurostatDialogBase)
        self.tableDataset.setSelectionMode(QtWidgets.QAbstractItemView.ExtendedSelection)
        self.tableDataset.setObjectName("tableDataset")
        self.horizontalLayout_2.addWidget(self.tableDataset)
        self.gridLayout.addLayout(self.horizontalLayout_2, 0, 0, 1, 4)
        self.horizontalLayout_7 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_7.setObjectName("horizontalLayout_7")
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        self.label_4 = QtWidgets.QLabel(EurostatDialogBase)
        self.label_4.setObjectName("label_4")
        self.horizontalLayout_4.addWidget(self.label_4)
        self.checkEnglish = QtWidgets.QCheckBox(EurostatDialogBase)
        self.checkEnglish.setText("")
        self.checkEnglish.setChecked(True)
        self.checkEnglish.setObjectName("checkEnglish")
        self.horizontalLayout_4.addWidget(self.checkEnglish)
        self.horizontalLayout_7.addLayout(self.horizontalLayout_4)
        spacerItem = QtWidgets.QSpacerItem(10, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_7.addItem(spacerItem)
        self.horizontalLayout_5 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_5.setObjectName("horizontalLayout_5")
        self.label_6 = QtWidgets.QLabel(EurostatDialogBase)
        self.label_6.setObjectName("label_6")
        self.horizontalLayout_5.addWidget(self.label_6)
        self.checkGerman = QtWidgets.QCheckBox(EurostatDialogBase)
        self.checkGerman.setText("")
        self.checkGerman.setObjectName("checkGerman")
        self.horizontalLayout_5.addWidget(self.checkGerman)
        self.horizontalLayout_7.addLayout(self.horizontalLayout_5)
        spacerItem1 = QtWidgets.QSpacerItem(10, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_7.addItem(spacerItem1)
        self.horizontalLayout_6 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_6.setObjectName("horizontalLayout_6")
        self.label_5 = QtWidgets.QLabel(EurostatDialogBase)
        self.label_5.setObjectName("label_5")
        self.horizontalLayout_6.addWidget(self.label_5)
        self.checkFrench = QtWidgets.QCheckBox(EurostatDialogBase)
        self.checkFrench.setText("")
        self.checkFrench.setObjectName("checkFrench")
        self.horizontalLayout_6.addWidget(self.checkFrench)
        self.horizontalLayout_7.addLayout(self.horizontalLayout_6)
        self.gridLayout.addLayout(self.horizontalLayout_7, 1, 0, 1, 1)
        self.toolButtonSettings = QtWidgets.QToolButton(EurostatDialogBase)
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(":/plugins/eurostat_downloader/assets/settings.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.toolButtonSettings.setIcon(icon)
        self.toolButtonSettings.setObjectName("toolButtonSettings")
        self.gridLayout.addWidget(self.toolButtonSettings, 1, 1, 1, 1)
        self.button_box = QtWidgets.QDialogButtonBox(EurostatDialogBase)
        self.button_box.setOrientation(QtCore.Qt.Horizontal)
        self.button_box.setStandardButtons(QtWidgets.QDialogButtonBox.Cancel|QtWidgets.QDialogButtonBox.Ok)
        self.button_box.setObjectName("button_box")
        self.gridLayout.addWidget(self.button_box, 1, 3, 1, 1)
        self.labelAgencyStatus = QtWidgets.QLabel(EurostatDialogBase)
        self.labelAgencyStatus.setObjectName("labelAgencyStatus")
        self.gridLayout.addWidget(self.labelAgencyStatus, 1, 2, 1, 1)

        self.retranslateUi(EurostatDialogBase)
        self.button_box.accepted.connect(EurostatDialogBase.accept) # type: ignore
        self.button_box.rejected.connect(EurostatDialogBase.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(EurostatDialogBase)

    def retranslateUi(self, EurostatDialogBase):
        _translate = QtCore.QCoreApplication.translate
        EurostatDialogBase.setWindowTitle(_translate("EurostatDialogBase", "Eurostat data downloader"))
        self.pushButtonInitializeTOC.setText(_translate("EurostatDialogBase", "Initialize table of contents"))
        self.buttonReset.setText(_translate("EurostatDialogBase", "Reset table"))
        self.label.setText(_translate("EurostatDialogBase", "Select layer"))
        self.label_2.setText(_translate("EurostatDialogBase", "Select layer join field"))
        self.label_3.setText(_translate("EurostatDialogBase", "Select table join field"))
        self.labelEnterPrefix.setText(_translate("EurostatDialogBase", "Add prefix to joined fields"))
        self.label_7.setText(_translate("EurostatDialogBase", "Columns to join"))
        self.buttonJoin.setText(_translate("EurostatDialogBase", "Join data"))
        self.buttonAdd.setText(_translate("EurostatDialogBase", "Add table"))
        self.label_4.setText(_translate("EurostatDialogBase", "<html><head/><body><p><img src=\":/plugins/eurostat_downloader/assets/uk.png\"/></p></body></html>"))
        self.label_6.setText(_translate("EurostatDialogBase", "<html><head/><body><p><img src=\":/plugins/eurostat_downloader/assets/germany.png\"/></p></body></html>"))
        self.label_5.setText(_translate("EurostatDialogBase", "<html><head/><body><p><img src=\":/plugins/eurostat_downloader/assets/france.png\"/></p></body></html>"))
        self.toolButtonSettings.setText(_translate("EurostatDialogBase", "..."))
        self.labelAgencyStatus.setText(_translate("EurostatDialogBase", "<html><head/><body><p><img src=\":/plugins/eurostat_downloader/assets/signal.png\"/></p></body></html>"))


class UIParameterSectionDialog:
    def setupUi(self, Dialog):
        Dialog.setObjectName("Dialog")
        Dialog.resize(500, 400)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(Dialog.sizePolicy().hasHeightForWidth())
        Dialog.setSizePolicy(sizePolicy)
        Dialog.setMaximumSize(QtCore.QSize(500, 400))
        Dialog.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.gridLayout = QtWidgets.QGridLayout(Dialog)
        self.gridLayout.setObjectName("gridLayout")
        self.lineSearch = QtWidgets.QLineEdit(Dialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.lineSearch.sizePolicy().hasHeightForWidth())
        self.lineSearch.setSizePolicy(sizePolicy)
        self.lineSearch.setFrame(True)
        self.lineSearch.setObjectName("lineSearch")
        self.gridLayout.addWidget(self.lineSearch, 0, 0, 1, 1)
        self.listItems = QtWidgets.QListWidget(Dialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.listItems.sizePolicy().hasHeightForWidth())
        self.listItems.setSizePolicy(sizePolicy)
        self.listItems.setSelectionMode(QtWidgets.QAbstractItemView.ExtendedSelection)
        self.listItems.setObjectName("listItems")
        self.gridLayout.addWidget(self.listItems, 1, 0, 2, 1)
        self.buttonReset = QtWidgets.QPushButton(Dialog)
        self.buttonReset.setObjectName("buttonReset")
        self.gridLayout.addWidget(self.buttonReset, 3, 0, 1, 1)

        self.retranslateUi(Dialog)
        QtCore.QMetaObject.connectSlotsByName(Dialog)

    def retranslateUi(self, Dialog):
        _translate = QtCore.QCoreApplication.translate
        Dialog.setWindowTitle(_translate("Dialog", "Edit section"))
        self.buttonReset.setText(_translate("Dialog", "Reset selection"))


class UITimePeriodDialog:
    def setupUi(self, SelectTimePeriod):
        SelectTimePeriod.setObjectName("SelectTimePeriod")
        SelectTimePeriod.resize(440, 130)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(SelectTimePeriod.sizePolicy().hasHeightForWidth())
        SelectTimePeriod.setSizePolicy(sizePolicy)
        self.verticalLayout = QtWidgets.QVBoxLayout(SelectTimePeriod)
        self.verticalLayout.setObjectName("verticalLayout")
        self.frameStart = QtWidgets.QFrame(SelectTimePeriod)
        self.frameStart.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.frameStart.setFrameShadow(QtWidgets.QFrame.Raised)
        self.frameStart.setObjectName("frameStart")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.frameStart)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.labelStart = QtWidgets.QLabel(self.frameStart)
        self.labelStart.setAlignment(QtCore.Qt.AlignHCenter|QtCore.Qt.AlignTop)
        self.labelStart.setObjectName("labelStart")
        self.verticalLayout_2.addWidget(self.labelStart)
        self.verticalLayout.addWidget(self.frameStart)
        self.frameEnd = QtWidgets.QFrame(SelectTimePeriod)
        self.frameEnd.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.frameEnd.setFrameShadow(QtWidgets.QFrame.Raised)
        self.frameEnd.setObjectName("frameEnd")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.frameEnd)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.labelEnd = QtWidgets.QLabel(self.frameEnd)
        self.labelEnd.setAlignment(QtCore.Qt.AlignHCenter|QtCore.Qt.AlignTop)
        self.labelEnd.setObjectName("labelEnd")
        self.verticalLayout_3.addWidget(self.labelEnd)
        self.verticalLayout.addWidget(self.frameEnd)
        self.buttonReset = QtWidgets.QPushButton(SelectTimePeriod)
        self.buttonReset.setObjectName("buttonReset")
        self.verticalLayout.addWidget(self.buttonReset)

        self.retranslateUi(SelectTimePeriod)
        QtCore.QMetaObject.connectSlotsByName(SelectTimePeriod)

    def retranslateUi(self, SelectTimePeriod):
        _translate = QtCore.QCoreApplication.translate
        SelectTimePeriod.setWindowTitle(_translate("SelectTimePeriod", "Select time period"))
        self.labelStart.setText(_translate("SelectTimePeriod", "Select start time"))
        self.labelEnd.setText(_translate("SelectTimePeriod", "Select end time"))
        self.buttonReset.setText(_translate("SelectTimePeriod", "Reset values"))


class UiSettingsDialog(object):
    def setupUi(self, SettingsDialog):
        SettingsDialog.setObjectName("SettingsDialog")
        SettingsDialog.resize(516, 517)
        self.horizontalLayout = QtWidgets.QHBoxLayout(SettingsDialog)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.frame = QtWidgets.QFrame(SettingsDialog)
        self.frame.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.frame.setFrameShadow(QtWidgets.QFrame.Raised)
        self.frame.setObjectName("frame")
        self.gridLayout = QtWidgets.QGridLayout(self.frame)
        self.gridLayout.setObjectName("gridLayout")
        self.verticalLayout_11 = QtWidgets.QVBoxLayout()
        self.verticalLayout_11.setObjectName("verticalLayout_11")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout()
        self.verticalLayout_3.setSpacing(6)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.label_2 = QtWidgets.QLabel(self.frame)
        self.label_2.setObjectName("label_2")
        self.verticalLayout_3.addWidget(self.label_2)
        self.checkBoxVerifySSL = QtWidgets.QCheckBox(self.frame)
        self.checkBoxVerifySSL.setChecked(True)
        self.checkBoxVerifySSL.setObjectName("checkBoxVerifySSL")
        self.verticalLayout_3.addWidget(self.checkBoxVerifySSL)
        self.verticalLayout_11.addLayout(self.verticalLayout_3)
        self.verticalLayout_10 = QtWidgets.QVBoxLayout()
        self.verticalLayout_10.setObjectName("verticalLayout_10")
        self.label_3 = QtWidgets.QLabel(self.frame)
        self.label_3.setObjectName("label_3")
        self.verticalLayout_10.addWidget(self.label_3)
        self.verticalLayout_9 = QtWidgets.QVBoxLayout()
        self.verticalLayout_9.setObjectName("verticalLayout_9")
        self.verticalLayout_5 = QtWidgets.QVBoxLayout()
        self.verticalLayout_5.setObjectName("verticalLayout_5")
        self.labelProxyHost = QtWidgets.QLabel(self.frame)
        self.labelProxyHost.setObjectName("labelProxyHost")
        self.verticalLayout_5.addWidget(self.labelProxyHost)
        self.lineEditProxyHost = QtWidgets.QLineEdit(self.frame)
        self.lineEditProxyHost.setObjectName("lineEditProxyHost")
        self.verticalLayout_5.addWidget(self.lineEditProxyHost)
        self.verticalLayout_9.addLayout(self.verticalLayout_5)
        self.verticalLayout_4 = QtWidgets.QVBoxLayout()
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.labelProxyPort = QtWidgets.QLabel(self.frame)
        self.labelProxyPort.setObjectName("labelProxyPort")
        self.verticalLayout_4.addWidget(self.labelProxyPort)
        self.lineEditProxyPort = QtWidgets.QLineEdit(self.frame)
        self.lineEditProxyPort.setObjectName("lineEditProxyPort")
        self.verticalLayout_4.addWidget(self.lineEditProxyPort)
        self.verticalLayout_9.addLayout(self.verticalLayout_4)
        self.verticalLayout_6 = QtWidgets.QVBoxLayout()
        self.verticalLayout_6.setObjectName("verticalLayout_6")
        self.labelProxyUser = QtWidgets.QLabel(self.frame)
        self.labelProxyUser.setObjectName("labelProxyUser")
        self.verticalLayout_6.addWidget(self.labelProxyUser)
        self.lineEditProxyUser = QtWidgets.QLineEdit(self.frame)
        self.lineEditProxyUser.setObjectName("lineEditProxyUser")
        self.verticalLayout_6.addWidget(self.lineEditProxyUser)
        self.verticalLayout_9.addLayout(self.verticalLayout_6)
        self.verticalLayout_7 = QtWidgets.QVBoxLayout()
        self.verticalLayout_7.setObjectName("verticalLayout_7")
        self.labelProxyPassword = QtWidgets.QLabel(self.frame)
        self.labelProxyPassword.setObjectName("labelProxyPassword")
        self.verticalLayout_7.addWidget(self.labelProxyPassword)
        self.lineEditProxyPassword = QtWidgets.QLineEdit(self.frame)
        self.lineEditProxyPassword.setEchoMode(QtWidgets.QLineEdit.Password)
        self.lineEditProxyPassword.setObjectName("lineEditProxyPassword")
        self.verticalLayout_7.addWidget(self.lineEditProxyPassword)
        self.verticalLayout_9.addLayout(self.verticalLayout_7)
        self.verticalLayout_10.addLayout(self.verticalLayout_9)
        self.verticalLayout_11.addLayout(self.verticalLayout_10)
        self.gridLayout.addLayout(self.verticalLayout_11, 0, 0, 1, 1)
        self.verticalLayout_2 = QtWidgets.QVBoxLayout()
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.label = QtWidgets.QLabel(self.frame)
        self.label.setObjectName("label")
        self.verticalLayout_2.addWidget(self.label)
        self.verticalLayout = QtWidgets.QVBoxLayout()
        self.verticalLayout.setObjectName("verticalLayout")
        self.checkBoxAgencyEUROSTAT = QtWidgets.QCheckBox(self.frame)
        self.checkBoxAgencyEUROSTAT.setChecked(True)
        self.checkBoxAgencyEUROSTAT.setObjectName("checkBoxAgencyEUROSTAT")
        self.verticalLayout.addWidget(self.checkBoxAgencyEUROSTAT)
        self.checkBoxAgencyCOMEXT = QtWidgets.QCheckBox(self.frame)
        self.checkBoxAgencyCOMEXT.setChecked(True)
        self.checkBoxAgencyCOMEXT.setObjectName("checkBoxAgencyCOMEXT")
        self.verticalLayout.addWidget(self.checkBoxAgencyCOMEXT)
        self.checkBoxAgencyCOMP = QtWidgets.QCheckBox(self.frame)
        self.checkBoxAgencyCOMP.setChecked(True)
        self.checkBoxAgencyCOMP.setObjectName("checkBoxAgencyCOMP")
        self.verticalLayout.addWidget(self.checkBoxAgencyCOMP)
        self.checkBoxAgencyEMPL = QtWidgets.QCheckBox(self.frame)
        self.checkBoxAgencyEMPL.setChecked(True)
        self.checkBoxAgencyEMPL.setObjectName("checkBoxAgencyEMPL")
        self.verticalLayout.addWidget(self.checkBoxAgencyEMPL)
        self.checkBoxAgencyGROW = QtWidgets.QCheckBox(self.frame)
        self.checkBoxAgencyGROW.setChecked(True)
        self.checkBoxAgencyGROW.setObjectName("checkBoxAgencyGROW")
        self.verticalLayout.addWidget(self.checkBoxAgencyGROW)
        self.verticalLayout_2.addLayout(self.verticalLayout)
        self.gridLayout.addLayout(self.verticalLayout_2, 1, 0, 1, 1)
        self.horizontalLayout.addWidget(self.frame)
        self.buttonBox = QtWidgets.QDialogButtonBox(SettingsDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Vertical)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.Cancel|QtWidgets.QDialogButtonBox.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.horizontalLayout.addWidget(self.buttonBox)

        self.retranslateUi(SettingsDialog)
        self.buttonBox.accepted.connect(SettingsDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(SettingsDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(SettingsDialog)

    def retranslateUi(self, SettingsDialog):
        _translate = QtCore.QCoreApplication.translate
        SettingsDialog.setWindowTitle(_translate("SettingsDialog", "Settings"))
        self.label_2.setText(_translate("SettingsDialog", "<html><head/><body><p><span style=\" font-size:12pt; font-weight:600;\">Connection</span></p></body></html>"))
        self.checkBoxVerifySSL.setText(_translate("SettingsDialog", "Verify SSL"))
        self.label_3.setText(_translate("SettingsDialog", "<html><head/><body><p><span style=\" font-weight:600;\">Proxy (defaults to QGIS settings)</span></p></body></html>"))
        self.labelProxyHost.setText(_translate("SettingsDialog", "Host"))
        self.labelProxyPort.setText(_translate("SettingsDialog", "Port"))
        self.labelProxyUser.setText(_translate("SettingsDialog", "User"))
        self.labelProxyPassword.setText(_translate("SettingsDialog", "Password"))
        self.label.setText(_translate("SettingsDialog", "<html><head/><body><p><span style=\" font-size:12pt; font-weight:600;\">Agencies</span></p></body></html>"))
        self.checkBoxAgencyEUROSTAT.setText(_translate("SettingsDialog", "EUROSTAT"))
        self.checkBoxAgencyCOMEXT.setText(_translate("SettingsDialog", "COMEXT"))
        self.checkBoxAgencyCOMP.setText(_translate("SettingsDialog", "COMP"))
        self.checkBoxAgencyEMPL.setText(_translate("SettingsDialog", "EMPL"))
        self.checkBoxAgencyGROW.setText(_translate("SettingsDialog", "GROW"))


class MissingModules(object):
    def setupUi(self, MissingModules):
        MissingModules.setObjectName("MissingModules")
        MissingModules.resize(554, 482)
        self.gridLayout = QtWidgets.QGridLayout(MissingModules)
        self.gridLayout.setObjectName("gridLayout")
        self.label_3 = QtWidgets.QLabel(MissingModules)
        self.label_3.setWordWrap(True)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 1, 0, 1, 1)
        self.label = QtWidgets.QLabel(MissingModules)
        self.label.setAlignment(QtCore.Qt.AlignCenter)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 3, 0, 1, 1)
        self.label_2 = QtWidgets.QLabel(MissingModules)
        self.label_2.setAlignment(QtCore.Qt.AlignCenter)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 0, 0, 1, 1)
        self.pushButtonLetUserInstall = QtWidgets.QPushButton(MissingModules)
        self.pushButtonLetUserInstall.setObjectName("pushButtonLetUserInstall")
        self.gridLayout.addWidget(self.pushButtonLetUserInstall, 5, 0, 1, 1)
        self.pushButtonInstall = QtWidgets.QPushButton(MissingModules)
        self.pushButtonInstall.setObjectName("pushButtonInstall")
        self.gridLayout.addWidget(self.pushButtonInstall, 4, 0, 1, 1)
        self.tabWidgetMain = QtWidgets.QTabWidget(MissingModules)
        self.tabWidgetMain.setObjectName("tabWidgetMain")
        self.tabModuleStates = QtWidgets.QWidget()
        self.tabModuleStates.setObjectName("tabModuleStates")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.tabModuleStates)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.tableWidgetModules = QtWidgets.QTableWidget(self.tabModuleStates)
        self.tableWidgetModules.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.tableWidgetModules.setTextElideMode(QtCore.Qt.ElideRight)
        self.tableWidgetModules.setObjectName("tableWidgetModules")
        self.tableWidgetModules.setColumnCount(4)
        self.tableWidgetModules.setRowCount(0)
        item = QtWidgets.QTableWidgetItem()
        self.tableWidgetModules.setHorizontalHeaderItem(0, item)
        item = QtWidgets.QTableWidgetItem()
        self.tableWidgetModules.setHorizontalHeaderItem(1, item)
        item = QtWidgets.QTableWidgetItem()
        self.tableWidgetModules.setHorizontalHeaderItem(2, item)
        item = QtWidgets.QTableWidgetItem()
        self.tableWidgetModules.setHorizontalHeaderItem(3, item)
        self.tableWidgetModules.horizontalHeader().setCascadingSectionResizes(False)
        self.tableWidgetModules.horizontalHeader().setDefaultSectionSize(125)
        self.tableWidgetModules.horizontalHeader().setMinimumSectionSize(39)
        self.tableWidgetModules.horizontalHeader().setSortIndicatorShown(False)
        self.tableWidgetModules.horizontalHeader().setStretchLastSection(True)
        self.tableWidgetModules.verticalHeader().setDefaultSectionSize(30)
        self.tableWidgetModules.verticalHeader().setStretchLastSection(False)
        self.gridLayout_2.addWidget(self.tableWidgetModules, 0, 0, 1, 1)
        self.tabWidgetMain.addTab(self.tabModuleStates, "")
        self.tabLogs = QtWidgets.QWidget()
        self.tabLogs.setObjectName("tabLogs")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.tabLogs)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.pushButtonExportLogs = QtWidgets.QPushButton(self.tabLogs)
        self.pushButtonExportLogs.setObjectName("pushButtonExportLogs")
        self.gridLayout_3.addWidget(self.pushButtonExportLogs, 1, 0, 1, 1)
        self.scrollAreaLogs = QtWidgets.QScrollArea(self.tabLogs)
        self.scrollAreaLogs.setWidgetResizable(True)
        self.scrollAreaLogs.setObjectName("scrollAreaLogs")
        self.scrollAreaWidgetContents_2 = QtWidgets.QWidget()
        self.scrollAreaWidgetContents_2.setGeometry(QtCore.QRect(0, 0, 512, 199))
        self.scrollAreaWidgetContents_2.setObjectName("scrollAreaWidgetContents_2")
        self.gridLayout_4 = QtWidgets.QGridLayout(self.scrollAreaWidgetContents_2)
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.labelLogs = QtWidgets.QLabel(self.scrollAreaWidgetContents_2)
        self.labelLogs.setText("")
        self.labelLogs.setWordWrap(True)
        self.labelLogs.setObjectName("labelLogs")
        self.gridLayout_4.addWidget(self.labelLogs, 0, 0, 1, 1)
        self.scrollAreaLogs.setWidget(self.scrollAreaWidgetContents_2)
        self.gridLayout_3.addWidget(self.scrollAreaLogs, 0, 0, 1, 1)
        self.tabWidgetMain.addTab(self.tabLogs, "")
        self.gridLayout.addWidget(self.tabWidgetMain, 2, 0, 1, 1)
        self.labelProcessFinished = QtWidgets.QLabel(MissingModules)
        self.labelProcessFinished.setText("")
        self.labelProcessFinished.setAlignment(QtCore.Qt.AlignCenter)
        self.labelProcessFinished.setObjectName("labelProcessFinished")
        self.labelProcessFinished.setWordWrap(True)
        self.gridLayout.addWidget(self.labelProcessFinished, 6, 0, 1, 1)
        self.pushButtonInstall.raise_()
        self.pushButtonLetUserInstall.raise_()
        self.label_2.raise_()
        self.label_3.raise_()
        self.label.raise_()
        self.tabWidgetMain.raise_()
        self.labelProcessFinished.raise_()

        self.retranslateUi(MissingModules)
        self.tabWidgetMain.setCurrentIndex(1)
        QtCore.QMetaObject.connectSlotsByName(MissingModules)

    def retranslateUi(self, MissingModules):
        _translate = QtCore.QCoreApplication.translate
        MissingModules.setWindowTitle(_translate("MissingModules", "Missing modules warning"))
        self.label_3.setText(_translate("MissingModules", "Some Python packages were not found, and they are required in order to use the Eurostat Downloader plugin."))
        self.label.setText(_translate("MissingModules", "What would you want to do?"))
        self.label_2.setText(_translate("MissingModules", "<html><head/><body><p><span style=\" font-size:18pt; font-weight:600;\">WARNING</span></p></body></html>"))
        self.pushButtonLetUserInstall.setText(_translate("MissingModules", "Handle the missing modules myself"))
        self.pushButtonInstall.setToolTip(_translate("MissingModules", "<html><head/><body><p>The modules will be installed in the plugin folder. It will not interfere with the QGIS default Python site package. Removing the Eurostat Downloader plugin will also remove the installed modules. This option is only available if the pip module (https://pypi.org/project/pip/) is already installed.</p></body></html>"))
        self.pushButtonInstall.setText(_translate("MissingModules", "Let the plugin install the missing modules for me"))
        item = self.tableWidgetModules.horizontalHeaderItem(0)
        item.setText(_translate("MissingModules", "Name"))
        item = self.tableWidgetModules.horizontalHeaderItem(1)
        item.setText(_translate("MissingModules", "Version required"))
        item = self.tableWidgetModules.horizontalHeaderItem(2)
        item.setText(_translate("MissingModules", "Version found"))
        item = self.tableWidgetModules.horizontalHeaderItem(3)
        item.setText(_translate("MissingModules", "State"))
        self.tabWidgetMain.setTabText(self.tabWidgetMain.indexOf(self.tabModuleStates), _translate("MissingModules", "Module states"))
        self.pushButtonExportLogs.setText(_translate("MissingModules", "Export"))
        self.tabWidgetMain.setTabText(self.tabWidgetMain.indexOf(self.tabLogs), _translate("MissingModules", "Logs"))